unit Netinfo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Usfunc, VBXCtrl, Chart2fx;

type
  TNetInfoBox = class(TForm)
    InformationListBox: TListBox;
    OK: TButton;
    Cancel: TButton;
    AddUserCaption: TLabel;
    NewUserName: TEdit;
    MessageOptions: TRadioGroup;
    SStats: TChartFX;
    AvaliableEntities: TRadioGroup;
    procedure OKClick(Sender: TObject);
    procedure CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  NetInfoBox: TNetInfoBox;

implementation

{$R *.DFM}

procedure TNetInfoBox.OKClick(Sender: TObject);
begin

     ModalResult:=mrOK;

end;

procedure TNetInfoBox.CancelClick(Sender: TObject);

(* This procedure can have two purposes, the first is
   to cancel the current operation (applys to Add User)
   or to show a graph (applys to Server Information) *)

begin

     If Cancel.Caption='Cancel' then
     begin
        NewUserName.Text:='';
        ModalResult:=mrCancel;
     end else
     begin
       If Not SStats.Visible then
       begin

          OK.Enabled:=False;

          (* Open the chart channels *)

          SStats.OpenData[0]:=MakeLong(1,1);
          SStats.OpenData[1]:=MakeLong(1,1);
          SStats.OpenData[2]:=MakeLong(1,1);

          (* Set the legends *)

          SStats.Legend[0]:='Maximum   ('+
                    Copy(InformationListBox.Items[3],23,Length(InformationListBox.Items[3])-22)+')';
          SStats.Legend[1]:='In Use       ('+
                    Copy(InformationListBox.Items[4],23,Length(InformationListBox.Items[4])-22)+')';
          SStats.Legend[2]:='Peak          ('+
                    Copy(InformationListBox.Items[5],23,Length(InformationListBox.Items[5])-22)+')';

          (* Get the values *)

          SStats.Value[0]:=StrToInt(Copy(InformationListBox.Items[3],23,Length(InformationListBox.Items[3])-22));
          SStats.Value[1]:=StrToInt(Copy(InformationListBox.Items[4],23,Length(InformationListBox.Items[4])-22));
          SStats.Value[2]:=StrToInt(Copy(InformationListBox.Items[5],23,Length(InformationListBox.Items[5])-22));

          SStats.Visible:=True;
          Cancel.Caption:='Information';
          Refresh;

       end else
       begin
          SStats.Visible:=False;
          OK.Enabled:=True;
          Cancel.Caption:='Statistics';
          Refresh;
       end;
     end;

end;

end.
